Subject: Re: tg3 issue with tcp checksums and vlan packets

From: Vlad Yasevich <[email-masked]>
Date: Tue, 16 Sep 2014 14:45:57 -0400

On 09/16/2014 12:54 PM, Michael Chan wrote:
> On Tue, 2014-09-16 at 12:43 -0400, Vlad Yasevich wrote: 
>> Prashant and Michael
>>
>> I am seeing a strange issue with tg3 driver when I try to pass to it tcp packets
>> that have partial checksums and inline (non-accelerated) vlan header.
>>
> 
> Are you disabling NETIF_F_HW_VLAN_CTAG_TX?  I believe TX checksum and
> TSO won't work.  We need to add some code to disable both when VLAN
> acceleration is disabled.
> 
> 

No, in this case, I am simply creating an 802.1ad vlan on top.  Since
tg3 doesn't provide ETIF_F_HW_VLAN_STAG_TX, we follow the non-accelerated
path.

Currently the driver doesn't appear to be offer ability to disable vlan acceleration.
However, if any software devices on top of the card do not support it for some reason,
then the issue would be seen as well.

-vlad